using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using RDH.Data.Models;

namespace RDH.Data.BLL
{
    public partial class DispensingDeviceBLL : BaseOrclBLL<DispensingDevice>, IDispensingDeviceBLL
    {
        public DispensingDeviceBLL() : base()
        {
            AliasTableName = "d";
        }

        internal override String TABLE_NAME { get { return "DISPENSING_DEVICE"; } }//TB_NAME
        internal override string ENTITY_NAME { get { return "DispensingDevice"; } }
        internal override String KEY_COLUMN { get { return "KEY"; } }//KEY_COLUMN


        internal override void InitMaps()
        {
            ColumnPropMaps.Add("KEY", "Key");
            ColumnPropMaps.Add("DEVICE_NAME", "DeviceName");
            ColumnPropMaps.Add("DEVICE_CODE", "DeviceCode");
            ColumnPropMaps.Add("CREATE_BY", "CreateBy");
            ColumnPropMaps.Add("CREATE_TIME", "CreateTime");
            ColumnPropMaps.Add("DESCRIPTION", "Description");
            ColumnPropMaps.Add("ENABEL_FLAG", "EnabelFlag");
            ColumnPropMaps.Add("OPERATION_ROOM_KEY", "OperationRoomKey");
            ColumnPropMaps.Add("FLAG", "Flag");
            ColumnPropMaps.Add("CLIENT_TIME", "ClientTime");
            ColumnPropMaps.Add("SERVER_TIME", "ServerTime");
            ColumnPropMaps.Add("EXT01", "Ext01");
            ColumnPropMaps.Add("EXT02", "Ext02");
            ColumnPropMaps.Add("EXT03", "Ext03");
            ColumnPropMaps.Add("EXT04", "Ext04");
            ColumnPropMaps.Add("EXT05", "Ext05");
            ColumnPropMaps.Add("EXT06", "Ext06");
            ColumnPropMaps.Add("EXT07", "Ext07");
            ColumnPropMaps.Add("EXT08", "Ext08");
            ColumnPropMaps.Add("EXT09", "Ext09");
            ColumnPropMaps.Add("EXT10", "Ext10");
            ColumnPropMaps.Add("LAST_KEY", "LastKey");
            ColumnPropMaps.Add("NODE_ID", "NodeId");//COLUMN_MAPS
        }

        internal override object GetParam(DispensingDevice dispensingdevice)
        {
            return new
            {

                Key = dispensingdevice.Key,
                DeviceName = dispensingdevice.DeviceName,
                DeviceCode = dispensingdevice.DeviceCode,
                CreateBy = dispensingdevice.CreateBy,
                CreateTime = dispensingdevice.CreateTime,
                Desc = dispensingdevice.Description,
                EnabelFlag = dispensingdevice.EnabelFlag,
                OperationRoomKey = dispensingdevice.OperationRoomKey,
                Flag = dispensingdevice.Flag,
                ClientTime = dispensingdevice.ClientTime,
                ServerTime = dispensingdevice.ServerTime,
                Ext01 = dispensingdevice.Ext01,
                Ext02 = dispensingdevice.Ext02,
                Ext03 = dispensingdevice.Ext03,
                Ext04 = dispensingdevice.Ext04,
                Ext05 = dispensingdevice.Ext05,
                Ext06 = dispensingdevice.Ext06,
                Ext07 = dispensingdevice.Ext07,
                Ext08 = dispensingdevice.Ext08,
                Ext09 = dispensingdevice.Ext09,
                Ext10 = dispensingdevice.Ext10,
                LastKey = dispensingdevice.LastKey,
                NodeId = dispensingdevice.NodeId,   //Params
            };
        }




    }

}